# Configuring the HeavyAI Power BI Desktop Plugin

## Introduction

For the Power BI Desktop to use the functionality and speed of the HeavyAI analytics engine, it needs to connect via the HeavyAI ODBC driver in 'direct query mode'  (Power BI has two modes: direct and import).

PowerBI "direct query" mode delegates analysis to the HeavyAI engine.

To connect in 'direct mode' the ODBC driver connection needs to be 'wrapped' in the supplied Power BI Data Connector.

## Installation
In the current release the installation of the HeavyAI Power BI connector is a manual process.  To install the connector copy the file `HeavyAIPBIC.pqx` to the 'Power BI Desktop' custom connectors folder.

For a standard Power BI install this directory will be `\Users\<user name>\Documents\Power BI Desktop\Custom Connectors`.  Note, the directory may need to be created.

## Security

`HeavyAIPBIC.pqx` is a signed file.  For the signature to be trusted the 'thumbprint' of the signing certificate needs to be added a Multi-String registry entry with the value name' of "TrustedCertificateThumbprints” at the path location of `HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Power BI Desktop`. The 'thumbprint' of the signing key  can be found in the file `thumprint.dat`

At the time of writing this process was documented at "https://docs.microsoft.com/en-us/power-bi/connect-data/desktop-trusted-third-party-connectors"

Alternatively, the security options within Power BI desktop can be downgraded to allow it to trust all connectors.  

